From 737e7a69c2679b33093e1ebf0b4c3fa34ae36878 Mon Sep 17 00:00:00 2001
From: Artem Pavlenko <artem@mapnik.org>
Date: Wed, 1 Sep 2021 10:11:13 +0100
Subject: [PATCH] Add includes required for building with boost_1_77
 (https://github.com/boostorg/geometry/commit/46e3d9231c2353b323796b6423f13cd61e0d585c#diff-2eb9871858184271f07935b31093c2d9f70f7a219979bec85adc03db6721a182)

---
 plugins/input/csv/csv_datasource.hpp           | 1 +
 plugins/input/geojson/geojson_datasource.hpp   | 1 +
 plugins/input/topojson/topojson_datasource.hpp | 1 +
 4 files changed, 4 insertions(+)

diff --git a/plugins/input/csv/csv_datasource.hpp b/plugins/input/csv/csv_datasource.hpp
index 13b876b3a9..a81d308e28 100644
--- a/plugins/input/csv/csv_datasource.hpp
+++ b/plugins/input/csv/csv_datasource.hpp
@@ -39,6 +39,7 @@ MAPNIK_DISABLE_WARNING_PUSH
 #include <mapnik/warning_ignore.hpp>
 #include <boost/optional.hpp>
 #include <boost/version.hpp>
+#include <boost/geometry/strategies/cartesian/disjoint_box_box.hpp>
 #include <boost/geometry/index/rtree.hpp>
 MAPNIK_DISABLE_WARNING_POP
 
diff --git a/plugins/input/geojson/geojson_datasource.hpp b/plugins/input/geojson/geojson_datasource.hpp
index 88ef28b34e..4bb965f3cb 100644
--- a/plugins/input/geojson/geojson_datasource.hpp
+++ b/plugins/input/geojson/geojson_datasource.hpp
@@ -38,6 +38,7 @@ MAPNIK_DISABLE_WARNING_PUSH
 #include <mapnik/warning_ignore.hpp>
 #include <boost/optional.hpp>
 #include <boost/version.hpp>
+#include <boost/geometry/strategies/cartesian/disjoint_box_box.hpp>
 #include <boost/geometry/index/rtree.hpp>
 MAPNIK_DISABLE_WARNING_POP
 
diff --git a/plugins/input/topojson/topojson_datasource.hpp b/plugins/input/topojson/topojson_datasource.hpp
index a603804b36..0c0937899e 100644
--- a/plugins/input/topojson/topojson_datasource.hpp
+++ b/plugins/input/topojson/topojson_datasource.hpp
@@ -41,6 +41,7 @@ MAPNIK_DISABLE_WARNING_PUSH
 #include <boost/geometry/geometries/geometries.hpp>
 #include <boost/geometry.hpp>
 #include <boost/version.hpp>
+#include <boost/geometry/strategies/cartesian/disjoint_box_box.hpp>
 #include <boost/geometry/index/rtree.hpp>
 MAPNIK_DISABLE_WARNING_POP
 
